Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613354 - RHN sends bogus daily status reports
RHN sends bogus daily status reports
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 19:47 EDT by Matthew Booth
Modified: 2010-10-07 04:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 04:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bogus mail received from RHN (1.17 KB, text/plain)
2010-07-10 19:47 EDT, Matthew Booth
no flags Details

  None (edit)
Description Matthew Booth 2010-07-10 19:47:31 EDT
Created attachment 430932 [details]
Bogus mail received from RHN

Description of problem:
RHN continues to send me daily status reports. This is despite:

* Having no systems registered against this account
* Having unselected 'Receive RHN email notifications' in preferences
* Having changed the email address on this account to a fake one

I will attach the most recent offending email to this bug.

Note that I used to have machines registered to the account until their entitlements were removed. From an administration POV, feel free to delete the account in question as I have no further use for it. Unfortunately I don't seem to be able to do this myself.
Comment 1 Matthew Booth 2010-07-20 05:52:58 EDT
mdbooth: Message-ID: <2042319808.1279616973577.JavaMail.root@scripts01.errata.prod.int.phx2.redhat.com>
Sebastian: ok, so it's PROD, as expected

- 10:43 -
 - iboyle has joined the room
 - eric|mtg is now known as eric
Sebastian: mdbooth: there might be something fishy going on
mdbooth: Sebastian: I filed a bug about it
mdbooth: I'm happy for the account to be deleted, btw
Sebastian: mdbooth: my gut feeling is that we have email leaking from ERRATA.STAGE environment
Sebastian: which means misconfiguration
Sebastian: in the meantime, you can try logging into: https://rhn.errata.stage.redhat.com
Sebastian: with your RHN username, password 'redhat'

- 10:48 -
Sebastian: and uncheck the Email notifications in preferences there
Sebastian: to see whether it'll affect something
mdbooth: Interesting
mdbooth: I have systems on that account
Sebastian: those are snapshots of the production db at some time
Sebastian: we have 5 (!) environments
mdbooth: Unchecked
Sebastian: DEV, QA, CODE.STAGE, ERRATA.STAGE and PROD
Sebastian: only PROD should be sending emails
Sebastian: however the emails you're receiving smell like arriving from ERRATA.STAGE env (they have errata.prod in the hostnames)
Comment 2 Matthew Booth 2010-07-20 05:54:12 EDT
I'll report back on whether the email stops.
Comment 3 Matthew Booth 2010-07-21 10:10:49 EDT
Email has stopped. According to Seb this confirms a misconfiguration on errata.stage.
Comment 4 Sebastian Skracic 2010-10-07 04:44:32 EDT
Closing per the comment above.

Note You need to log in before you can comment on or make changes to this bug.